﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="@* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="Composite.Data.Plugins.DataProviderConfiguration/DataProviderPlugins">
    <DataProviderPlugins>
      <xsl:apply-templates select="@* | node()" />
      <xsl:if test="count(add[@name='NonCoreFormFileProvider'])=0">
        <add rootDirectory="~/App_Data/Composite/Forms" fileSearchPattern="*.xml" topDirectoryOnly="false" fileInterfaceType="Composite.C1Console.Forms.DataServices.IFormDefinitionFile, Composite" type="Composite.Plugins.Data.DataProviders.FileSystemDataProvider.FileSystemDataProvider, Composite" name="NonCoreFormFileProvider" />
        <!-- info: this Form file provider is intended for 'global use' and is not un-installed - copy this config change 'raw' in other custom workflow projects -->
      </xsl:if>
    </DataProviderPlugins>
  </xsl:template>

</xsl:stylesheet>